# Imagick::commentImage

(PECL imagick 2.0.0)

Imagick::commentImage — Adds a comment to your image

### Description

Imagick::commentImage ( string `$comment` ) : bool

Adds a comment to your image.

### Parameters

`comment`

  The comment to add

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Using Imagick::commentImage():

Commenting an image and retrieving the comment:

`<?php
/* Create new Imagick object */
$im = new imagick();
/* Create an empty image */
$im->newImage(100, 100, new ImagickPixel("red"));
/* Add comment to the image */
$im->commentImage("Hello World!");
/* Display the comment */
echo $im->getImageProperty("comment");
?>`